import { Update } from '../update';
import { Version, VersionsMap } from '../version';
import { BaseStrategy, BuildUpdatesOptions, BaseStrategyOptions } from './base';
import { GitHubFileContents } from '../util/file-cache';
import { Commit, ConventionalCommit } from '../commit';
import { Release } from '../release';
import { ReleasePullRequest } from '../release-pull-request';
interface JavaBuildUpdatesOption extends BuildUpdatesOptions {
    isSnapshot?: boolean;
}
export declare class JavaYoshi extends BaseStrategy {
    private versionsContent?;
    private snapshotVersioning;
    constructor(options: BaseStrategyOptions);
    buildReleasePullRequest(commits: Commit[], latestRelease?: Release, draft?: boolean, labels?: string[]): Promise<ReleasePullRequest | undefined>;
    private buildSnapshotPullRequest;
    /**
     * Override this method to post process commits
     * @param {ConventionalCommit[]} commits parsed commits
     * @returns {ConventionalCommit[]} modified commits
     */
    protected postProcessCommits(commits: ConventionalCommit[]): Promise<ConventionalCommit[]>;
    private needsSnapshot;
    protected buildVersionsMap(): Promise<VersionsMap>;
    protected getVersionsContent(): Promise<GitHubFileContents>;
    protected buildUpdates(options: JavaBuildUpdatesOption): Promise<Update[]>;
    protected updateVersionsMap(versionsMap: VersionsMap, conventionalCommits: ConventionalCommit[]): Promise<VersionsMap>;
    protected initialReleaseVersion(): Version;
}
export {};
