import { BaseStrategy, BuildUpdatesOptions, BaseStrategyOptions } from './base';
import { ConventionalCommit } from '../commit';
import { Update } from '../update';
import { Release } from '../release';
import { Version } from '../version';
import { PullRequestBody } from '../util/pull-request-body';
interface RubyYoshiStrategyOptions extends BaseStrategyOptions {
    versionFile?: string;
}
export declare class RubyYoshi extends BaseStrategy {
    readonly versionFile: string;
    constructor(options: RubyYoshiStrategyOptions);
    protected buildUpdates(options: BuildUpdatesOptions): Promise<Update[]>;
    protected postProcessCommits(commits: ConventionalCommit[]): Promise<ConventionalCommit[]>;
    protected buildPullRequestBody(component: string | undefined, newVersion: Version, releaseNotesBody: string, conventionalCommits: ConventionalCommit[], latestRelease?: Release): Promise<PullRequestBody>;
}
export {};
